package com.sun.corba.se.impl.util;

import java.util.Hashtable;

public class RepositoryIdCache extends Hashtable
{
    private RepositoryIdPool pool;
    
    public RepositoryIdCache() {
        (this.pool = new RepositoryIdPool()).setCaches(this);
    }
    
    public final synchronized RepositoryId getId(String s) {
        RepositoryId repositoryId = (RepositoryId)super.get(s);
        if (repositoryId != null) {
            return repositoryId;
        }
        RepositoryId value = new RepositoryId(s);
        this.put(s, value);
        return value;
    }
}
